Note: Version v201902 will be sunset soon. All users of those versions must migrate to a newer one.

enum GrpSettingsError.Reason (v201902)

Reason for GRP settings error.


Namespace
https://www.google.com/apis/ads/publisher/v201902
Enumeration Description
INVALID_AGE_RANGE Age range for GRP audience is not valid. Please see the Ad Manager Help Center for more information.
LINE_ITEM_ENVIRONMENT_TYPE_NOT_SUPPORTED GRP settings are only supported for video line items.
LINE_ITEM_TYPE_NOT_SUPPORTED GRP settings are not supported for the given line item type.
CANNOT_SPECIFY_GENDER_FOR_GIVEN_AGE_RANGE GRP audience gender cannot be specified for the selected age range.
INVALID_MIN_AGE Minimum age for GRP audience is not valid.
INVALID_MAX_AGE Maximum age for GRP audience is not valid.
CANNOT_DISABLE_GRP_AFTER_ENABLING GRP settings cannot be disabled.
CANNOT_CHANGE_GRP_PROVIDERS GRP provider cannot be updated.
CANNOT_CHANGE_GRP_SETTINGS GRP settings cannot be updated once the line item has started serving.
GRP_AUDIENCE_GOAL_NOT_SUPPORTED Impression goal based on GRP audience is not supported.
CANNOT_SET_GRP_AUDIENCE_GOAL Impression goal based on GRP audience cannot be set once the line item has started serving.
CANNOT_REMOVE_GRP_AUDIENCE_GOAL Impression goal based on GRP audience cannot be removed once the line item has started serving.
UNSUPPORTED_GEO_TARGETING Unsupported geographic location targeted for line item with GRP audience goal.
UNKNOWN The value returned if the actual value is not exposed by the requested API version.